Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.application.communities.messaging
Class MessagingAddress

    java.lang.Object
      com.bea.netuix.application.communities.messaging.MessagingAddress

    public class MessagingAddress

extends Object

MessagingAddress - value object class that represents an individual messaging address that can be used to message a `CommunityMember` from with the `Communities` framework.

The overview of community functionality contains a description of the community framework.

Constructor Summary
`MessagingAddress(MessagingAddress addr)`
`MessagingAddress(MessagingAddressType transportType, String address)`
`MessagingAddress(MessagingAddressType transportType, String address, String password)`

Method Summary
`String` | `getAddress()`
`String` | `getPassword()`
`MessagingAddressType` | `getTransportType()`
`void` | `setAddress(String address)`
`void` | `setPassword(String password)`
`void` | `setTransportType(MessagingAddressType transportType)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MessagingAddress

    public MessagingAddress(MessagingAddressType transportType,
                            String address,
                            String password)

### MessagingAddress

    public MessagingAddress(MessagingAddressType transportType,
                            String address)

### MessagingAddress

    public MessagingAddress(MessagingAddress addr)

Method Detail

### getTransportType

    public MessagingAddressType getTransportType()

### setTransportType

    public void setTransportType(MessagingAddressType transportType)

### getAddress

    public String getAddress()

### setAddress

    public void setAddress(String address)

### getPassword

    public String getPassword()

### setPassword

    public void setPassword(String password)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved